/***************************************************************************
          internalmethodhandler.h  -  method handler for widgets
                             -------------------
    begin                : Thu May 22 2003
    copyright            : (C) 2003 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCLUDED__INTERNALMETHODHANDLER_H
#define INCLUDED__INTERNALMETHODHANDLER_H

#include "types.h"
#include "dynamicobject.h"
#include "methodhandler.h"

using namespace std;

class InternalMethodHandler: public MethodHandler {
  public:
    InternalMethodHandler(const char *name, ebDynamicObject *owner, int numargs, methodfn methodfuncex);
    const char *Call(int numargs, const char *args[]);
  protected:
    methodfn methodfuncex;
};

#endif
