#!/bin/sh
flex -i -+ -oscript_flex.cpp script_flex.l
bison -d script_bison.ypp -o script_bison.cpp --defines=script_bison.h
echo
echo "The following files have been rebuilt:"
echo "  script_bison.cpp"
echo "  script_bison.h"
echo "  script_flex.cpp"
echo
echo "You will need to add the following line to script_bison.h:"
echo "  #include \"script_property.h\""
echo "Also, in script_flex.cpp change:"
echo "  delete yy_state_buf;"
echo "to:"
echo "  delete [] yy_state_buf;"
echo
