/***************************************************************************
                          object.cpp  -  parent object class
                             -------------------
    begin                : Tue Sep 17 2002
    copyright            : (C) 2002 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cstring>
#include <cstdlib>

#include "object.h"

using namespace std;

ebObject::ebObject(const char *name) {
  this->name = strdup(name);
  this->owner = NULL; // default value
}

ebObject::~ebObject(void) {
  free(name);
}

const char *ebObject::GetName(void) {
  return name;
}

const char *ebObject::GetType(void) {
  return type;
}

void ebObject::SetOwner(void *owner) {
  this->owner = owner;
}

void *ebObject::GetOwner(void) {
  return owner;
}

