/***************************************************************************
                          picturewidget.h  -  eboxy static image widget
                             -------------------
    begin                : Mon May 12 2003
    copyright            : (C) 2003 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCLUDED__PICTUREWIDGET_H
#define INCLUDED__PICTUREWIDGET_H
 
using namespace std;
 
class PictureWidget: public ebWidget {
  public:
    PictureWidget(const char *name, int x, int y, ImageEntry *image);
    GUI_Widget *Instantiate(void);
    void SetImage(const char *filename);
    void ReloadImage(void);
  private:
    ImageEntry *image;

    friend const char *PictureWidget_GetImage(ebCustomObject *sender);
    friend void PictureWidget_SetImage(ebCustomObject *sender, const char *value);

    friend const char *PictureWidget_ReloadImage(ebCustomObject *sender, const char *method, int numargs, const char *args[]);
};

#endif
