/***************************************************************************
                scriptobject.h  -  eboxy script handling object
                             -------------------
    begin                : Thu May 22 2003
    copyright            : (C) 2003 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCLUDED__SCRIPTOBJECT_H
#define INCLUDED__SCRIPTOBJECT_H

#include "object.h"
 
class Script: public ebObject {
  public:
    Script(const char *name, const char *code, int flags = 1); // FIXME: not using constant! (ugly mess)
    virtual ~Script(void);
    void SetLineOffset(int line);
    int Run(void);
  private:
    char *code;
    int lineoffset;
    int flags;
};

#endif
