/***************************************************************************
                          utils.h  -  header for utils.cpp
                             -------------------
    begin                : Thu Aug 15 2002
    copyright            : (C) 2002 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCLUDED__UTILS_H
#define INCLUDED__UTILS_H

#include "SDL.h"
#include "vector"

using namespace std;

// FIXME: functions in here should be documented
  
char *newstring(int length);
char *trimString(const char *string);
SDL_Color strtocolor(const char *colorstr);
char *colortostr(SDL_Color color);
char *getFilePath(const char *filename);
char *expandPath(const char *filename);
bool strtobool(const char *str);
const char *booltostr(bool value);
int countstr(const char *str, char c);
char *inttostr(int n);
bool pointinrect(int x, int y, SDL_Rect a);
bool rectsintersect(SDL_Rect l, SDL_Rect r);
char *strjoin(const char *str1, const char *str2);
int pushUserEvent(int code, void *data1, void *data2);
int statfile(const char *filename);
bool isEmptyString(const char *str);
SDL_Color *colordup(const SDL_Color *c);
template <class T> int vectorFind(vector<T> v, T obj); // FIXME: why doesn't this work with T as ebPage* ??

#endif
