/***************************************************************************
  functionproperty.h  -  property object that uses getter/setter functions
                             -------------------
    begin                : Thu May 22 2003
    copyright            : (C) 2003 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCLUDED__FUNCTIONPROPERTY_H
#define INCLUDED__FUNCTIONPROPERTY_H

#include "customproperty.h"

using namespace std;

class ebCustomProperty: public CustomProperty {
  public:
    ebCustomProperty(const char *name, const char *(*getter)(const char *), void (*setter)(const char *, const char *));
    void SetValue(const char *value);
    const char *GetValue(void);
  private:
    void (*setter)(const char *, const char *);
    const char *(*getter)(const char *);
};

#endif
